function vexpower.panel_colorpresets()	
	return {
		type = "group",
		args = {
			grpinfo = {
				name = "Information",
				order=1, type ="group", dialogInline = true,
				args = {
					info = {name = "Color presets contain data about ComboPoint colors. They can be loaded manually or for new chars automatically (setup is in the option panel 'Defaults')", type = "description", order=1, fontSize="medium"},
					},
				},
			space1 = {name = " ", type = "description", order=2, fontSize="medium"},
			grpload = {
				name = "Color preset",
				order=3, type ="group", dialogInline = true,
				args = {
					profile = {
						name = "Profile",
						order=1, type = "select", style = "dropdown", width="double",
						values = vexpower_getColorPresetList(true),
						set = function(self,key) vexpower_colorpresets_name = key vexpower_colorpresets_savename = key vexpower_gatherPresetData() vexpower_initialize(true) end,
						get = function() return vexpower_colorpresets_name end,
						},
					new = {
						name = "new",
						order=2, type = "execute",
						func = function(info,val) vexpower_newColorPreset() vexpower_initialize(true) end,
						},
					framecolors1 = {
						name = "Color of the 1st 'ComboPoint'", width="double",
						order=110, type = "color", hasAlpha=false,
						set = function(info,r,g,b) 
							vexpower_colorpresets_load["1"]["r"] = r
							vexpower_colorpresets_load["1"]["g"] = g
							vexpower_colorpresets_load["1"]["b"] = b end,
						get = function() return
							vexpower_colorpresets_load["1"]["r"],
							vexpower_colorpresets_load["1"]["g"],
							vexpower_colorpresets_load["1"]["b"] end,
						},
					opacity1 = {
						name = "Opacity %",
						order=111, type = "range",
						desc = "Sets the opacity",
						step = 5, min = 0, max = 100,
						set = function(info,val) vexpower_colorpresets_load["1"]["a"] = val/100 end,
						get = function() return vexpower_colorpresets_load["1"]["a"]*100 end
						},
					framecolors2 = {
						name = "Color of the 2nd 'ComboPoint'", width="double",
						order=120, type = "color", hasAlpha=false,
						set = function(info,r,g,b) 
							vexpower_colorpresets_load["2"]["r"] = r
							vexpower_colorpresets_load["2"]["g"] = g
							vexpower_colorpresets_load["2"]["b"] = b end,
						get = function() return
							vexpower_colorpresets_load["2"]["r"],
							vexpower_colorpresets_load["2"]["g"],
							vexpower_colorpresets_load["2"]["b"] end,
						},
					opacity2 = {
						name = "Opacity %",
						order=121, type = "range",
						desc = "Sets the opacity",
						step = 5, min = 0, max = 100,
						set = function(info,val) vexpower_colorpresets_load["2"]["a"] = val/100 end,
						get = function() return vexpower_colorpresets_load["2"]["a"]*100 end
						},
					framecolors3 = {
						name = "Color of the 3rd 'ComboPoint'", width="double",
						order=130, type = "color", hasAlpha=false,
						set = function(info,r,g,b) 
							vexpower_colorpresets_load["3"]["r"] = r
							vexpower_colorpresets_load["3"]["g"] = g
							vexpower_colorpresets_load["3"]["b"] = b end,
						get = function() return
							vexpower_colorpresets_load["3"]["r"],
							vexpower_colorpresets_load["3"]["g"],
							vexpower_colorpresets_load["3"]["b"] end,
						},
					opacity3 = {
						name = "Opacity %",
						order=131, type = "range",
						desc = "Sets the opacity",
						step = 5, min = 0, max = 100,
						set = function(info,val) vexpower_colorpresets_load["3"]["a"] = val/100 end,
						get = function() return vexpower_colorpresets_load["3"]["a"]*100 end
						},
					framecolors4 = {
						name = "Color of the 4th 'ComboPoint'", width="double",
						order=140, type = "color", hasAlpha=false,
						set = function(info,r,g,b) 
							vexpower_colorpresets_load["4"]["r"] = r
							vexpower_colorpresets_load["4"]["g"] = g
							vexpower_colorpresets_load["4"]["b"] = b end,
						get = function() return
							vexpower_colorpresets_load["4"]["r"],
							vexpower_colorpresets_load["4"]["g"],
							vexpower_colorpresets_load["4"]["b"] end,
						},
					opacity4 = {
						name = "Opacity %",
						order=141, type = "range",
						desc = "Sets the opacity",
						step = 5, min = 0, max = 100,
						set = function(info,val) vexpower_colorpresets_load["4"]["a"] = val/100 end,
						get = function() return vexpower_colorpresets_load["4"]["a"]*100 end
						},
					framecolors5 = {
						name = "Color of the 5th 'ComboPoint'", width="double",
						order=150, type = "color", hasAlpha=false,
						set = function(info,r,g,b) 
							vexpower_colorpresets_load["5"]["r"] = r
							vexpower_colorpresets_load["5"]["g"] = g
							vexpower_colorpresets_load["5"]["b"] = b end,
						get = function() return
							vexpower_colorpresets_load["5"]["r"],
							vexpower_colorpresets_load["5"]["g"],
							vexpower_colorpresets_load["5"]["b"] end,
						},
					opacity5 = {
						name = "Opacity %",
						order=151, type = "range",
						desc = "Sets the opacity",
						step = 5, min = 0, max = 100,
						set = function(info,val) vexpower_colorpresets_load["5"]["a"] = val/100 end,
						get = function() return vexpower_colorpresets_load["5"]["a"]*100 end
						},
					framecolors6 = {
						name = "Color of the 6th 'ComboPoint'", width="double",
						order=160, type = "color", hasAlpha=false,
						set = function(info,r,g,b) 
							vexpower_colorpresets_load["6"]["r"] = r
							vexpower_colorpresets_load["6"]["g"] = g
							vexpower_colorpresets_load["6"]["b"] = b end,
						get = function() return
							vexpower_colorpresets_load["6"]["r"],
							vexpower_colorpresets_load["6"]["g"],
							vexpower_colorpresets_load["6"]["b"] end,
						},
					opacity6 = {
						name = "Opacity %",
						order=161, type = "range",
						desc = "Sets the opacity",
						step = 5, min = 0, max = 100,
						set = function(info,val) vexpower_colorpresets_load["6"]["a"] = val/100 end,
						get = function() return vexpower_colorpresets_load["6"]["a"]*100 end
						},
					framecolorsChange = {
						name = "Color of the 'Used'-effect", width="double",
						order=170, type = "color", hasAlpha=false,
						set = function(info,r,g,b) 
							vexpower_colorpresets_load["used"]["r"] = r
							vexpower_colorpresets_load["used"]["g"] = g
							vexpower_colorpresets_load["used"]["b"] = b end,
						get = function() return
							vexpower_colorpresets_load["used"]["r"],
							vexpower_colorpresets_load["used"]["g"],
							vexpower_colorpresets_load["used"]["b"] end,
						},
					opacityChange = {
						name = "Opacity %",
						order=171, type = "range",
						desc = "Sets the opacity",
						step = 5, min = 0, max = 100,
						set = function(info,val) vexpower_colorpresets_load["used"]["a"] = val/100 end,
						get = function() return vexpower_colorpresets_load["used"]["a"]*100 end
						},
					framecolorsX = {
						name = "Color of the 'Color ComboPoints on X'-effect", width="double",
						order=180, type = "color", hasAlpha=false,
						set = function(info,r,g,b) 
							vexpower_colorpresets_load["change"]["r"] = r
							vexpower_colorpresets_load["change"]["g"] = g
							vexpower_colorpresets_load["change"]["b"] = b end,
						get = function() return
							vexpower_colorpresets_load["change"]["r"],
							vexpower_colorpresets_load["change"]["g"],
							vexpower_colorpresets_load["change"]["b"] end,
						},
					opacityX = {
						name = "Opacity %",
						order=181, type = "range",
						desc = "Sets the opacity",
						step = 5, min = 0, max = 100,
						set = function(info,val) vexpower_colorpresets_load["change"]["a"] = val/100 end,
						get = function() return vexpower_colorpresets_load["change"]["a"]*100 end
						},
					space1 = {name = " ", type = "description", order=200, fontSize="medium"},
					name = {
						name = "Name",
						order=200, type = "input", multiline = false,
						validate = function (info, val)
							if vexpower_profile_checkName(val) then return true
							else return "ERROR - "..val.." is not a valid name" end
							end,
						set = function(info,val) vexpower_colorpresets_savename = val end,
						get = function() return vexpower_colorpresets_savename end,
						},
					save = {
						name = "save",
						order=203, type = "execute",
						func = function(info,val) vexpower_saveColorPreset(true) vexpower_initialize(true) end,
						},
					space2 = {name = " ", type = "description", order=300, fontSize="medium"},
					load = {
						name = "load",
						order=301, type = "execute",
						func = function(info,val) vexpower_loadColorPreset() vexpower_initialize(true) end,
						},
					delete = {
						name = "delete",
						order=302, type = "execute",
						func = function(info,val) vexpower_deleteColorPreset() vexpower_initialize(true) end,
						confirm = true,
						confirmText = "Are you sure you want to delete the color preset?"
						},
					status = {name = vexpower_colorpresets_status, type = "description", order=500, fontSize="medium"},
					},
				},
			}
		}
end